@font-face {
    font-family: 'asap-variablefont';
    src: url('../fonts/Asap-VariableFont_wdth_wght.ttf') format('truetype');
}

html, body {
    font-family: 'asap-variablefont', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    margin: 0;
    margin-bottom: 0px;
    height: 100%;
    width: 100%;
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.fullSize {
    margin: 0;
    height: 100%;
    width: 100%;
    background-size: cover !important;
    background-position: center center !important;
    background-attachment: fixed !important;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.mb-35 {
    margin-bottom: 35px;
}

.mb-70 {
    margin-bottom: 70px;
}

.mt-35 {
    margin-top: 35px;
}

.font48 {
    font-size: 48px;
}

.font24 {
    font-size: 24px;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.page-background-1 {
    background-image: url(../images/backgrounds/background1.jpg);
    /* Full height */
    height: 100vh;
    width: 100vw;
    /* Center and scale the image nicely */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.page-background-2 {
    background-image: url(../images/backgrounds/background2.jpg);
    /* Full height */
    height: 100vh;
    width: 100vw;
    /* Center and scale the image nicely */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.page-background-3 {
    background-image: url(../images/backgrounds/background3.jpg);
    /* Full height */
    height: 100vh;
    width: 100vw;
    /* Center and scale the image nicely */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.page-background-4 {
    background-image: url(../images/backgrounds/background4.jpg);
    /* Full height */
    height: 100vh;
    width: 100vw;
    /* Center and scale the image nicely */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.avabar-background {
    position:sticky;
    top:80;
    padding-top:20px;
    padding-bottom: 20px;
    background-color: white;
    z-index: 80;
}

.avabar-p {
    line-height: 1.2;
    margin-bottom: 0.5em;
    margin-left: 4em;
    margin-right: 4em;
}

/* Flex container */
.avatar-flex-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100vw;
    position: relative;
    left: 50%;
    transform: translateX(-49%);
}

/* AvatarBar */
.avatar-bar {
    width: 100%;
    /* Take the full width of the flex container */
    position: relative;
    /* top:80px; */
    /* This should be equal to the height of your navbar */
    z-index: 1000;
    /* Ensure it's above other elements */
    /* Rest of your styles */
}

    .avatar-bar::after {
        content: '';
        position: absolute;
        top: 110px;
        /* Position the arrow below the AvatarBar */
        left: 50%;
        /* Center the arrow */
        transform: translateX(-150%);
        border-left: 20px solid transparent;
        /* Left border, invisible */
        border-right: 20px solid transparent;
        /* Right border, invisible */
        border-top: 20px solid #ffffff;
        /* Top border, the color of your arrow */
        width: 0;
        height: 0;
    }


/* Content Container */
.content-container {
    width: 100%;
    /* Maintain the width within the flex container */
    /* Additional styles as needed */
}

.avatar-flex-container.sticky {
    position: fixed;
    top: 80px; /* Adjust based on your header height */
    width: 100%;
    background-color: rgba(255, 255, 255, 0.95);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 100;
    padding: 10px 0;
}

@media (max-width: 767px) {
    .avatar-bar::after {
        display: none;
    }
}

.top-bar {
    position: fixed;
    height: 80px;
    background-color: darkblue;
    top: 0px;
    left: 0px;
    right: 0px;
    margin-top: 0px;
    z-index: 100;
}

.top-bar-name{
    color: white;
    font-size:large;
}

.header-logo {
    max-height: 50px;
    max-width: 100%;
    object-fit: contain;
    margin-right: 15px;
}

.mainDiv {
    padding-top: 140px;
    padding-right: 30px;
    padding-bottom: 50px;
    padding-left: 80px;
    height: 100%;
}

.sticky-div {
    position: -webkit-sticky;
    position: sticky;
    z-index: 1000;
    top: 60px;
}

.sticky {
    position: fixed;
    top: 0;
    width: 100%;
}

    .sticky + .content {
        padding-top: 102px;
    }

.footer {
    position: fixed;
    height: 80px;
    min-width: 50%;
    background-color: orange;
    bottom: 0px;
    left: 0px;
    right: 0px;
    margin-bottom: 0px;
    z-index: 100;
}

/*Used to change the color of the thumb handle of the sliders in the questions...*/
.form-range::-webkit-slider-thumb {
    background: #FF6700;
}

.form-range::-moz-range-thumb {
    background: #FF6700;
}

.form-range::-ms-thumb {
    background: #FF6700;
}

-webkit-slider-thumb:active {
    background-color: #FFBC00;
}

-webkit-slider-thumb,
.form-range:focus::-webkit-slider-thumb,
.form-range:focus::-moz-range-thumb,
.form-range:focus::-ms-thumb {
    box-shadow: #FFBC00;
}
/*End of color change section*/

.e-control-wrapper.e-slider-container.e-horizontal .e-slider-track {
    background: #ff7800;
    height: 6px;
}

.e-control-wrapper.e-slider-container .e-slider .e-handle {
    background-color: #f9920b;
    border-radius: 50%;
    border: 0;
    height: 12px;
}